package cz.moneta.test.harness.support.ws;

import cz.moneta.test.harness.support.util.Level;
import cz.moneta.test.harness.support.util.RequestPoll;

import java.util.function.Function;

public interface WsRequest<RESP> {
    RESP send();

    RequestPoll<RESP> pollUntil(Function<RESP, Object> extractor);

    WsRequest<RESP> log(String template, Function<RESP, Object>... args);

    WsRequest<RESP> log(Level level, String template, Function<RESP, Object>... args);
}
